## mtasc 1.12

=== ocaml/extc/Makefile ===
ZLIB = zlib.lib
CFLAGS =
LIBS = -cclib $(ZLIB) -cclib extc_stubs.obj

all: bytecode native

test: bytecode
	ocamlc -custom -o test.exe -cclib $(ZLIB) extLib.cma extc.cma test.ml

test-opt: native
	ocamlopt -o test.exe -cclib $(ZLIB) extLib.cmxa extc.cmxa test.ml

bytecode: extc_stubs.obj
	ocamlc -a -o extc.cma $(LIBS) extc.mli extc.ml

native: extc_stubs.obj
	ocamlopt -a -o extc.cmxa $(LIBS) extc.mli extc.ml

extc_stubs.obj: extc_stubs.c
	ocamlc $(CFLAGS) extc_stubs.c

clean:
	rm -f extc.cma extc.cmi test.cmi extc.cmx extc.cmxa extc.o extc.obj extc.lib extc_stubs.obj extc_stubs.o
	rm -f extc.a libextc.a libextc.lib extc.cmo test.cmo test.exe text-opt.exe test.cmx test.o test.obj

## mtasc 1.13

=== ocaml/mtasc/doc/Makefile ===
DESTDIR=
PREFIX=/usr/local
ZLIB=/usr/lib/libz.so

build:
	( cd ocaml/extc ; ocamlc extc_stubs.c ;\
	ocamlfind ocamlopt -package extlib -a -o extc.cmxa -cclib ../extc/extc_stubs.o -cclib $(ZLIB) extc.mli extc.ml )
	cd ocaml/swflib ; ocamlfind ocamlopt -package extlib -a -o swflib.cmxa -I .. -I ../extc swf.ml swfZip.ml actionScript.ml swfParser.ml
	( cd ocaml/mtasc ; ocamllex lexer.mll ;	ocamlopt -c expr.ml lexer.ml ; ocamlopt -c -pp camlp4o parser.ml ;\
	ocamlfind ocamlopt -package extlib -c -I .. -I ../extc -I ../swflib typer.ml class.ml plugin.ml genSwf.ml main.ml ;\
	ocamlfind ocamlopt -package extlib -linkpkg -o mtasc -cclib $(ZLIB) extLib.cmxa ../extc/extc.cmxa ../swflib/swflib.cmxa expr.cmx lexer.cmx parser.cmx typer.cmx class.cmx plugin.cmx genSwf.cmx main.cmx )

clean:
	rm -f ocaml/*/*.cma ocaml/*/*.cmi ocaml/*/*.cmo ocaml/*/*.cmx
	rm -f ocaml/*/*.cmxa ocaml/*/*.o ocaml/*/*.a
	rm -f ocaml/mtasc/lexer.ml ocaml/mtasc/mtasc

install:
	mkdir -p $(DESTDIR)$(PREFIX)/bin/ $(DESTDIR)$(PREFIX)/share/
	cp ocaml/mtasc/mtasc $(DESTDIR)$(PREFIX)/bin/
	cp -r ocaml/mtasc/std $(DESTDIR)$(PREFIX)/share/
	cp -r ocaml/mtasc/std8 $(DESTDIR)$(PREFIX)/share/

.PHONY: build install clean

## mtasc 1.14

=== ocaml/extc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ZLIB = zlib.lib
-CFLAGS =
+CFLAGS = -I zlib
 LIBS = -cclib $(ZLIB) -cclib extc_stubs.obj
 
 all: bytecode native

=== debian/changelog ===
mtasc (1.14-3build4) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 15:53:16 +0000

mtasc (1.14-3build3) xenial; urgency=medium

  * No-change rebuild against new ocaml ABIs

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 03 Nov 2015 15:15:05 +0000

mtasc (1.14-3build2) wily; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Oct 2015 17:31:40 +0000

mtasc (1.14-3build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:27:23 +0000

mtasc (1.14-3) unstable; urgency=low

  * Use canonical and working Vcs-* fields
  * Switch to dpkg-source v3 format
  * Swich to debhelper dh and override_* targets
  * Add DEP-3 headers to the patches
  * Add an upstream metadata file
  * Bump Standards-Version

 -- Paul Wise <pabs@debian.org>  Tue, 11 Jun 2013 19:35:29 +0800

mtasc (1.14-2) unstable; urgency=low

  * Move extc changes to new extc-fixes.patch and add Hurd support to it
  * Support nocheck in DEB_BUILD_OPTIONS
  * Bump Standards-Version

 -- Paul Wise <pabs@debian.org>  Fri, 17 Jul 2009 11:32:46 +0200

mtasc (1.14-1) unstable; urgency=low

  * New upstream release
    - drop 03_flashlite_compat.patch, included upstream
  * Fix FTBFS with dpkg-source 3.0 (quilt) (Closes: #485252)
  * Wrap the Build-Depends in debian/control
  * Move homepage to the new field
  * Bump debhelper compat level to 7
  * Add Vcs-* fields
  * Drop build-dep version numbers satisfied in oldstable/etch
  * Improve the patch and Makefile handling
  * Add patch to allow building with camlp4o from ocaml 3.11.0
    Patch fix_mtasc_for_camlp4_3.11.0.patch by Stefano Zacchiroli
  * Implement support for parallel=n in DEB_BUILD_OPTIONS
  * Link to the correct version of the GPL in the copyright info
  * Add a README.source pointing people at the quilt docs
  * Add a get-orig-source target as a wrapper around maketarball
  * We now comply with policy 3.8.0, bump Standards-Version

 -- Paul Wise <pabs@debian.org>  Tue, 10 Mar 2009 15:52:39 +0900

mtasc (1.13-4) unstable; urgency=low

  * Upload to unstable for ocaml 3.10.0 transition
  * Allow building when camlp4 is in ocaml-nox (etch)

 -- Paul Wise <pabs@debian.org>  Tue, 04 Sep 2007 17:57:17 +1000

mtasc (1.13-3) experimental; urgency=low

  * Update for ocaml 3.10.0 transition
  * Use camlp4o.opt where available
  * Don't ignore errors from make clean

 -- Paul Wise <pabs@debian.org>  Thu, 30 Aug 2007 15:14:12 +1000

mtasc (1.13-2) unstable; urgency=low

  * Fix detection of executable path, prevents FTBFS (Closes: #425908)
  * Fix classpath locations for standard includes
  * Create and use extra classpath dirs in /usr/local
  * Also test build HelloWorld.as with Flash version 8
  * More completely fix upstream Makefile

 -- Paul Wise <pabs@debian.org>  Sat, 26 May 2007 20:30:44 +1000

mtasc (1.13-1) unstable; urgency=low

  * New upstream release (Closes: #425530)
    - drop changes to install.ml - use new Makefile instead
    - drop HelloWorld.as, mtasc.1 - included upstream
    - remove new copy of zlib when generating the tarball
  * Generate a ChangeLog when creating the tarball and install it
  * The Windows compiled version is updated more, watch it
  * Change my email address now that I'm a Debian Developer
  * Bump Standards-Version (no changes)
  * Bump debhelper compatibility level
  * Split all changes into quilt patches
  * Place packaging in the public domain
  * Install CHANGES.txt as a NEWS file and also install Future.txt
  * Test-build HelloWorld.as

 -- Paul Wise <pabs@debian.org>  Wed, 23 May 2007 19:17:16 +1000

mtasc (1.12-3) unstable; urgency=low

  * Use an argument to dh_gencontrol instead of modifying mtasc.substvars

 -- Paul Wise <pabs3@bonedaddy.net>  Tue, 18 Apr 2006 13:19:46 +0800

mtasc (1.12-2) unstable; urgency=low

  * Restructure the package to use install.ml and build bytecode versions
    on arches where ocaml can't yet build native code. This fixes the FTBFS
    on several arches. mtasc has some C code, so I can't create an arch all
    package. Thanks to Sven Luther and the OCaml team. Closes: #360047

 -- Paul Wise <pabs3@bonedaddy.net>  Sat, 25 Mar 2006 17:15:45 +0800

mtasc (1.12-1) unstable; urgency=low

  * Initial release (Closes: #326931)

 -- Paul Wise <pabs3@bonedaddy.net>  Sun,  5 Mar 2006 12:05:37 +0800

=== debian/control ===
Source: mtasc
Section: devel
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 camlp4 | ocaml-nox (<< 3.10.0-2),
 debhelper (>= 9),
 libextlib-ocaml-dev,
 ocaml,
 ocaml-best-compilers,
 ocaml-findlib,
 zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://www.mtasc.org
Vcs-Svn: svn://anonscm.debian.org/pkg-flash/packages/mtasc/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-flash/packages/mtasc/trunk/

Package: mtasc
Architecture: any
Depends:
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: ActionScript 2 to Flash (SWF) compiler
 MTASC is the first ActionScript 2 Open Source free compiler. It can compile
 large numbers of .as class files in a very short time and generate directly
 the corresponding SWF bytecode.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

ifeq ($(shell test -x /usr/bin/ocamlopt -o -x /usr/bin/ocamlopt.opt && echo true),true)
  OCAMLC = ocamlopt
  OCAMLOBJECT = cmx
  OCAMLARCHIVE = cmxa
  OCAMLCUSTOM = 
  OCAMLSTRIP =
  OCAMLDEPS = ocaml:Depends=
else
  OCAMLC = ocamlc
  OCAMLOBJECT = cmo
  OCAMLARCHIVE = cma
  OCAMLCUSTOM = -custom
  OCAMLSTRIP = -Xmtasc
  OCAMLDEPS = ocaml:Depends=ocaml-base-nox-$(shell ocamlfind ocamlc -version)
endif

ifeq ($(shell test -x /usr/bin/camlp4o.opt && echo true),true)
  CAMLP4 = camlp4o.opt
else ifeq ($(shell test -x /usr/bin/camlp4o && echo true),true)
  CAMLP4 = camlp4o
endif

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) -f ocaml/mtasc/doc/Makefile C=$(OCAMLC) O=$(OCAMLOBJECT) A=$(OCAMLARCHIVE) CU=$(OCAMLCUSTOM) CP=$(CAMLP4)
	cp ocaml/mtasc/doc/CHANGES.txt NEWS

override_dh_auto_test:
	./ocaml/mtasc/mtasc -v -swf helloworld.swf -main -header 640:480:20 ocaml/mtasc/doc/HelloWorld.as
	./ocaml/mtasc/mtasc -version 8 -v -swf helloworld.swf -main -header 640:480:20 ocaml/mtasc/doc/HelloWorld.as

override_dh_auto_clean:
	[ ! -f ocaml/mtasc/doc/Makefile ] || $(MAKE) -f ocaml/mtasc/doc/Makefile clean

override_dh_auto_install:
	$(MAKE) -f ocaml/mtasc/doc/Makefile install PREFIX=/usr DESTDIR=debian/mtasc

override_dh_strip:
	dh_strip $(OCAMLSTRIP)

override_dh_gencontrol:
	dh_gencontrol -- -V$(OCAMLDEPS)

UPSTREAM_VERSION = $(shell dpkg-parsechangelog | sed -n 's/Version: \(.*\)-[^-]*/\1/p')

get-orig-source:
	sh debian/maketarball --upstream-version $(UPSTREAM_VERSION)
